// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 拆分奖励配置
    /// </summary>
    public sealed class SplitCountAward : ISerializable
    {
        public string GameObjectId { get; private set; }
        public int Count { get; private set; }
        public int SplitCount { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            GameObjectId = reader.ReadString();
            Count = reader.ReadInt();
            SplitCount = reader.ReadInt();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(GameObjectId);
            writer.Write(Count);
            writer.Write(SplitCount);
        }
    }
}
